Withdraw a support screenshot
import requests
url = "https://platform.ankra.app/api/v1/org/support/tickets/{ticket_id}/attachments/{attachment_id}/withdraw"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/support/tickets/{ticket_id}/attachments/{attachment_id}/withdraw', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/org/support/tickets/{ticket_id}/attachments/{attachment_id}/withdraw \
--header 'Authorization: Bearer <token>'{
"ai_review_status": "pending",
"category": "technical",
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source": "portal",
"status": "pending_review",
"subject": "<string>",
"ticket_number": 123,
"updated_at": "2023-11-07T05:31:56Z",
"related_cases": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": 123,
"parent": true
}
],
"ai_summary": "<string>",
"attachments": [
{
"content_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"filename": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"size_bytes": 123,
"can_withdraw": true
}
],
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cluster_name": "<string>",
"comments": [
{
"author_label": "<string>",
"author_type": "customer",
"body": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"author_name": "<string>"
}
],
"is_tracked_by_team": false,
"last_comment_at": "2023-11-07T05:31:56Z",
"last_comment_by": "customer",
"reported_by": "<string>",
"severity": "low"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}Support
Withdraw a support screenshot
Withdraw the specified screenshot from a case visible to the current organisation and project. The uploader can withdraw their screenshot even after the case closes. Returns the updated public conversation.
POST
/
api
/
v1
/
org
/
support
/
tickets
/
{ticket_id}
/
attachments
/
{attachment_id}
/
withdraw
Withdraw a support screenshot
import requests
url = "https://platform.ankra.app/api/v1/org/support/tickets/{ticket_id}/attachments/{attachment_id}/withdraw"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/support/tickets/{ticket_id}/attachments/{attachment_id}/withdraw', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/org/support/tickets/{ticket_id}/attachments/{attachment_id}/withdraw \
--header 'Authorization: Bearer <token>'{
"ai_review_status": "pending",
"category": "technical",
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source": "portal",
"status": "pending_review",
"subject": "<string>",
"ticket_number": 123,
"updated_at": "2023-11-07T05:31:56Z",
"related_cases": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": 123,
"parent": true
}
],
"ai_summary": "<string>",
"attachments": [
{
"content_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"filename": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"size_bytes": 123,
"can_withdraw": true
}
],
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cluster_name": "<string>",
"comments": [
{
"author_label": "<string>",
"author_type": "customer",
"body": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"author_name": "<string>"
}
],
"is_tracked_by_team": false,
"last_comment_at": "2023-11-07T05:31:56Z",
"last_comment_by": "customer",
"reported_by": "<string>",
"severity": "low"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}Authorizations
Response
Successful Response